---
title: Time off
sidebar: Handbook
showTitle: true
---

PostHog encourages its team to take time off to recharge.

We have a flexible time off policy. Sometimes you need an extra day or two.

We believe people need 20 days off a year plus a sprinkling of national holidays to have meaningful time with their families, to explore or just to relax.

PostHog therefore offer unlimited time off, but with an expectation that you take _at least 25 days off a year_, inclusive of national holidays.

This is to make sure that people can take time off flexibly, whilst not feeling guilty about taking time off.

The reason for this policy is that it's critical for PostHog that we hire people we can trust to be responsible with their time off - enough that they can recharge, but not so much that it means we don't get any work done.

## Permissionless Time Off

You do not need to "clear" time off with your manager.

We care about your results, not how long you work. Whilst no approval is needed, it shouldn't be at the expense of business getting done. For example, having the entire technical team off means we can't be responsive to community issues. Please coordinate with your team.

When you pick a date(s) to have off, please enter it into [CharlieHR](https://posthog.charliehr.com/) and it will be automatically approved and added to the team time off calendar. Remember to set an out of office message on your email.

The same rules as above apply regardless of the vacation length.

You can add the team time off calendar to Google Calendar by following [these instructions](https://intercom.help/charliehr/en/articles/839648-importing-your-time-off-calendar-to-google-calendar) on CharlieHR as well. CharlieHR only refreshes the calendar twice a day, so any changes you make won't be reflected immediately. 

## When You Should Have Time Off

### You are sick

If you are sick, you don't need to work and you will be paid. This is assuming you need a day or two off, then just take them.

Please let your manager know if you need to take off due to illness as soon as you are able to.

For extended periods of illness, please speak to us so we can work out a plan. In some countries, we may be required to request a doctor's note from you. 

### Jury Duty / Bereavements / Voting / Child Admin Disasters

There are lots of situations where life needs to come first. Please let it - just be communicative with us and fit your work around it as you need.

## Parental Leave

Parental leave is exceptional as it needs to be significantly longer than a typical vacation. Anyone at PostHog, regardless of gender, is able to take parental leave, and regardless of the way you've become a parent - childbirth, adoption or foster care. 

If you have been at PostHog for over 1 year, you can take up to 12 weeks off on full pay. You can take a further 4 weeks unpaid leave if you need more time. After this, if you need to stagger your return to work, you can come back at 50% capacity on 50% pay afterwards. If you live in a country where a statutory parental leave benefit is available, you will be required to claim statutory parental leave pay (if you are eligible) and PostHog will supplement any gaps.

If you have been at PostHog for under 1 year, we will pay you according to your local jurisdiction's legal requirements.

Please communicate parental leave to your manager as soon as you feel comfortable doing so, and in any case at least 2 months before it will begin.

We are aware that there are local laws around time off for new parents in every country, and that these may vary. Wherever there is a discrepancy between local regulations and PostHog policy, local laws will override PostHog.
