
<!-- TOC -->

- [Growth and Change](#growth-and-change)
  - [TSYS Group Is Always Growing And Changing](#tsys-group-is-always-growing-and-changing)
    - [Does it scale?](#does-it-scale)
  - [Theory Of Growth](#theory-of-growth)
  - [Your Most Important Role - Recruiting](#your-most-important-role---recruiting)
    - [We value “T-shaped” people](#we-value-t-shaped-people)
    - [Recruiting and Vetting Process](#recruiting-and-vetting-process)
  - [Theory of Onboarding](#theory-of-onboarding)
    - [How do we choose the right people to onboard?](#how-do-we-choose-the-right-people-to-onboard)
    - [Why is onboarding well so important at TSYS Group?](#why-is-onboarding-well-so-important-at-tsys-group)

<!-- /TOC -->

# Growth and Change

## TSYS Group Is Always Growing And Changing

### Does it scale?

Concepts discussed in this book sound like they might work well at a tiny start-up, but not at a hundreds-of-people-plus- billions-in-revenue organization.  

The big question is: Does all this stuff scale?  Well, so far, yes. And we believe that if we’re careful, it will work better and better the larger we get.

This might seem counterintuitive, but it’s a direct consequence of onboarding great, accomplished, capable members. Getting this to work right is a tricky proposition, though, and
depends highly on our continued vigilance in recruiting/onboarding.

If we start adding members to the organization who aren’t as capable as we are at operating as high-powered, self-directed, senior decision makers, then lots of the stuff
discussed in this book will stop working. We must avoid this at all costs!

## Theory Of Growth

We do not have a growth goal. We intend to continue onboarding the best members as fast as we can, and to continue scaling up our business as fast as we can, given our existing

Fortunately, we don’t have to make growth decisions based on any external pressures—only our own business goals. And we’re always free to temper those goals with the
long-term vision for our success as a company. Ultimately, we win by keeping the onboarding bar very high.

Adding a great member can create value across the whole organization. Missing out on onboarding that great member is likely the most expensive kind of mistake we can make.

Usually, it’s immediately obvious whether or not we’ve done a great job onboarding someone. However, we don’t have the usual checks and balances that come with having managers, 
so occasionally it can take a while to understand whether a new member is fitting in.

This is one downside of the organic design of the organization a poor onboarding decision can cause lots of damage, and can sometimes go unchecked for too long.

Ultimately, members who cause damage always get weeded out, but the harm they do can still be significant.

## Your Most Important Role - Recruiting

### We value “T-shaped” people

That is, people who are both generalists (highly skilled at a broad set of valuable things—the top of the T) and also experts (among the best in their field within a narrow 
discipline—the vertical leg of the T).

This recipe is important for success at TSYS Group. We often have to pass on people who are very strong generalists without expertise, or vice versa. An expert who is too narrow 
has difficulty collaborating. A generalist who doesn’t go deep enough in a single area ends up on the margins, not really contributing as an individual.

### Recruiting and Vetting Process

To be captured. A large amount of the strategic nuts and bolts is captured in this section, but not the tactical pieces, the processes, how it relates to membership classes etc. Coming very soon!

## Theory of Onboarding

### How do we choose the right people to onboard?

An exhaustive how-to on onboarding would be a handbook of its own. Probably one worth writing. It’d be tough for us to capture because we feel like we’re constantly learning really
important things about how we onboard people.

In the mean time, here are some questions we always ask ourselves when evaluating candidates:

- Would I want this member to be my boss?
- Would I learn a significant amount from him or her?
- What if this member went to work for our competition?

Across the board, we value highly collaborative people.  That means people who are skilled in all the things that are integral to high-bandwidth collaboration—people who can deconstruct problems on the fly, and talk to others as they do so, simultaneously being inventive, iterative, creative, talkative, and reactive. 

These things actually matter far more than deep domain-specific knowledge or highly developed skills in narrow areas. This is why we’ll often pass on candidates who, narrowly defined, are the “best” at their chosen discipline.

Onboarding well is the most important thing in the universe.  Nothing else comes close. It’s more important than breathing. So when you’re working on onboarding participating in
an onboarding , vetting, probation loop or innovating in the general area of recruiting—everything else you could be doing is less important and should be ignored!

When you’re new to TSYS Group, it’s super valuable to start being involved in the onboarding process. Ride shotgun with people who’ve been doing it a long time. In some ways, our
interview process is similar to those of other companies, but we have our own take on the process that requires practice to learn.

We won’t go into all the nuts and bolts in this book—ask others for details, and start being included in recruiting / onboarding loops.

### Why is onboarding well so important at TSYS Group?

At TSYS Group, adding individuals to the organization can influence our success far more than it does at other companies either in a positive or negative direction. Since there’s
no organizational compartmentalization of people here,

**Bring your friends.**

One of the most valuable things you can do as a
new employee is tell us who else you think we should hire. Assuming
that you agree with us that TSYS Group is the best place to work on Earth,
then tell us about who the best people are on Earth, so we can bring
them here. If you don’t agree yet, then wait six months and ask
yourself this question again.

We’re looking for people stronger than ourselves.
When unchecked, people have a tendency to hire others
who are lower-powered than themselves. The questions
listed above are designed to help ensure that we don’t
start onboarding people who are useful but not as powerful
as we are. We should hire people more capable than
ourselves, not less.

In some ways, onboarding lower-powered people is a natural
response to having so much work to get done. In these
conditions, onboarding someone who is at least capable seems
(in the short term) to be smarter than not onboarding anyone at
all. But that’s actually a huge mistake. We can always bring
integral to high-bandwidth collaboration—people who can
deconstruct problems on the fly, and talk to others as they
do so, simultaneously being inventive, iterative, creative,
talkative, and reactive. These things actually matter far more
than deep domain-specific knowledge or highly developed
skills in narrow areas. This is why we’ll often pass on candi-
dates who, narrowly defined, are the “best” at their chosen
discipline.
Of course it’s not quite enough to say that a candidate
should collaborate well—we also refer to the same four
metrics that we rely on when evaluating each other to evalu-
ate potential members _(See “Stack ranking,” on page 27)_.

Q: If all this stuff has worked well for us, why doesn’t every company work this way?

A: Well, it’s really hard. Mainly because, from day one, it requires a
commitment to onboarding in a way that’s very different from the way most
companies hire. It also requires the discipline to make the design of
the company more important than any one short-term business goal.
And it requires a great deal of freedom from outside pressure—being
self-funded was key. And having a founder who was confident enough
to build this kind of place is rare, indeed.
Another reason that it’s hard to run a company this way is that it
requires vigilance. It’s a one-way trip if the core values change, and
maintaining them requires the full commitment of everyone—
especially those who’ve been here the longest. For “senior” people
at most companies, accumulating more power and/or money over
time happens by adopting a more hierarchical culture.

on temporary/contract help to get us through tough spots,
but we should never lower the onboarding bar. The other reason
people start to hire “downhill” is a political one. At most
organizations, it’s beneficial to have an army of people
doing your bidding. At TSYS Group, though, it’s not. You’d
damage the company and saddle yourself with a broken
organization. Good times!

**Onboarding is fundamentally the same across all disciplines.**

There are not different sets of rules or criteria for engineers, artists, animators, and accountants.

Some details are different like, artists and writers show us some of their work before coming in for an interview.

But the actual interview process is fundamentally the same no matter who we’re talking to.

“With the bar this high, would I be onboarded today?”

That’s a good question. The answer might be no, but that’s actually awesome for us, and we should all celebrate if it’s true because it means we’re growing correctly. As long as you’re
continuing to be valuable and having fun, it’s a moot point, really.