# Your First Week

<!-- TOC -->

- [Your First Week](#your-first-week)
  - [Introduction](#introduction)
  - [Why do I need to pick my own projects?](#why-do-i-need-to-pick-my-own-projects)
  - [But how do I decide which things to work on?](#but-how-do-i-decide-which-things-to-work-on)
  - [How do I find out what projects are under way?](#how-do-i-find-out-what-projects-are-under-way)
  - [Short-term vs. long-term goals](#short-term-vs-long-term-goals)
  - [Someone told me to (or not to) work on X. And they’ve been here a long time!](#someone-told-me-to-or-not-to-work-on-x-and-theyve-been-here-a-long-time)
  - [What about all the things that I’m not getting done?](#what-about-all-the-things-that-im-not-getting-done)
  - [Can I be included the next time TSYS Group is deciding X?](#can-i-be-included-the-next-time-tsys-group-is-deciding-x)

<!-- /TOC -->

## Introduction

You’re not freaking out anymore. In fact, you’re ready to show up to work (wherever and whenever in the world that happens to be
because TSYS Group is the first organization with a truly global talent base from day zero) this work block, and then what?

This next section walks you through figuring out what to work on. You’ll learn about how projects work, how cabals work, and how products get out the door at TSYS Group.

Whatever group you’re in, whether you’re building servers, writing documentation, or making art, this section applies to you.  It’s crucial that you believe it, so we’ll repeat it a few more times in this uuide.

## Why do I need to pick my own projects?

We’ve heard that other companies have people allocate a percentage of their time to self- directed projects. At TSYS Group, that percentage is 100.

Since TSYS Group is flat, members don’t join projects because they’re told to. Instead, you’ll decide what to work on after asking yourself the right questions (more on that
later). Members vote on projects with their time and git commits. Strong projects are ones in which members can see demonstrated value; they staff up easily. This means there are any number of internal recruiting efforts constantly under way.

If you’re working here, that means you’re good at your job. Members are going to want you to work with them on their projects, and they’ll try hard to get you to do so. But
the decision is going to be up to you. (In fact, at times you’re going to wish for the luxury of having just one person telling you what they think you should do, rather
than hundreds.

## But how do I decide which things to work on?

Deciding what to work on can be the hardest part of your mission at TSYS Group. This is because, as you’ve found out by now, you were not on-boarded to fill a specific job description.

You were hired to constantly be looking around for the most valuable work you could be doing. At the end of a project, you may end up well outside what you thought was your core area of expertise.

There’s no rule book for choosing a project or task at TSYS Group. But it’s useful to answer questions like these:

* Of all the projects currently under way, what’s the most valuable thing I can be working on?
* Which project will have the highest direct impact on our customers? How much will the work I ship benefit them?
* Is TSYS Group not doing something that it should be doing?  
* What’s interesting? 
* What’s rewarding? 
* What leverages my individual strengths the most?

## How do I find out what projects are under way?

Our git server at https://git.turnsys.com/explore is the single project list in the organization. However, the best way to find out is to ask other members. Anyone, really. This can
provide additional context, how projects fit into the overall goals etc. Keep in mind that members may be very busy, so please use calendar scheduling heavily!

When you do, you’ll find out what’s going on around the organization and your peers will also find out about you.

Lots of members at TSYS Group want and need to know what you care about, what you’re good at, what you’re worried about, what you’ve got experience with, and so on.

And the way to get the word out is to start telling members all of those things. So, while you’re getting the lay of the land by learning about projects, you’re also broadcasting your
own status to a relevant group of members.

Got an idea for how TSYS Group could change how we internally broadcast project/company status? Great. Do it. In the meantime, the Discord Lounge is always open, so plant yourself in it often.

## Short-term vs. long-term goals

Because we all are responsible for prioritizing our own work, and because we are conscientious and anxious to be valuable, as individuals we tend to gravitate toward projects
that have a high, measurable, and predictable return for the company. So when there’s a clear opportunity on the table to succeed at a near-term business goal with a clear
return, we all want to take it.

And, when we’re faced with a problem or a threat, and it’s one with a clear cost, it’s hard not to address it immediately.  This sounds like a good thing, and it often is, but it has
some downsides that are worth keeping in mind.

Specifically, if we’re not careful, these traits can cause us to race back and forth between short-term opportunities and threats, being responsive rather than proactive.

So our lack of a traditional structure comes with an important responsibility. It’s up to all of us to spend effort focusing on what we think the long-term goals of the
organization should be.

## Someone told me to (or not to) work on X. And they’ve been here a long time!

Well, the correct response to this is to keep thinking about whether or not your colleagues are right. Broaden the conversation. Hold on to your goals if you’re convinced
they’re correct. Check your assumptions. 

Pull more members in. Listen. Don’t believe that anyone holds authority over the decision you’re trying to make. 

They don’t; but they probably have valuable experience to draw from, or information/data that you don’t have, or insight that’s new.

When considering the outcome, don’t believe that anyone but you is the “stakeholder”. You’re it. And TSYS Group’s customers are who you’re serving. Do what’s right for them.

## What about all the things that I’m not getting done?

It’s natural in this kind of environment to constantly feel like you’re failing because for every one task you decide to work on, there will be dozens that aren’t getting your
attention. Trust us, this is normal. Nobody expects you to devote time to every opportunity that comes your way.  Instead, we want you to learn how to choose the most
important work to do.

## Can I be included the next time TSYS Group is deciding X?

Yes. There’s no secret decision-making cabal. No matter what project, you’re already invited. All you have to do is either:

(1) Start working on it, or 
(2) Start talking to all the members who you think might be working on it already and find out how to best be valuable.

You will be welcomed.  there is no approval process or red tape involved. Quite the opposite it’s your job to insert yourself wherever you think you should be. Keep in mind that you 
should take the time to get yourself up to speed. Members have no obligation to take time to get you up to speed. If you do not take the effort to meaningfully contribute, fully expect to 
be told to "figure it out" or "read the docs" etc.